02-21-18 01:27 PM
171 1234 ...
tools
  1. brookie229's Avatar
    Doesn't that mean that it should be good to go as long as that minimum support doesn't get to 4.4 (KitKat)?
    Not necessarily, as has been explained that the runtime is not a pure android experience. If I had to throw in a guess, however, I would say it will work fine for another couple of years. Only my guess--no guarantees.
    12-20-17 10:40 AM
  2. howarmat's Avatar
    No one here can say for sure that you will be able to have WA on your classic after 1/1/18

    Its possible that the android APK will work with a workaround or 2 BUT that can/will break at some point, might be 1/2/2018 or sometime in 2019.

    ANYTHING on bb10 is a complete crapshoot with no certainties for anything. The browser could break tomorrow and there might not be a fix for that even.

    Buy with extreme caution. SMS, EMAIL and CALLS are about all that will work for sure for the next 2 years basically and that is it.
    12-20-17 11:33 AM
  3. arfeo's Avatar
    Look at Instagram. It worked fine on BB10 up to Instagram v10.3.2, then all subsequent versions crash with no change to the Android API level. That happened overnight.
    Has anybody tried patching this piece of... software for Google Play Services support? Anyway, Android Instagram was always some kind of beautiful holy cr@p. Just google for "Instagram down", "Instagram broken", "Instagram not working", "Instagram problems"...
    12-20-17 12:36 PM
  4. conite's Avatar
    Has anybody tried patching this piece of... software for Google Play Services support? Anyway, Android Instagram was always some kind of beautiful holy cr@p. Just google for "Instagram down", "Instagram broken", "Instagram not working", "Instagram problems"...
    Patching is not required.

    There are plenty of other examples of apps breaking on BB10, even when using a supported API level.

    The fact is, Instagram worked prior to a particular version, and then stopped working after that.
    12-20-17 12:38 PM
  5. Chuck Finley69's Avatar
    There's also now a news article on front page of Android Central that explains new upgrade requirements for apps in the Google Play Store. I understand only about 1/3 of what it said but as I always say, I'm not an IT guy.... LOL

    Sorry I lost the link....
    12-20-17 12:46 PM
  6. conite's Avatar

    Sorry I lost the link....
    You left it right beside your marbles.
    glwerry likes this.
    12-20-17 12:51 PM
  7. arfeo's Avatar
    Patching is not required.

    There are plenty of other examples of apps breaking on BB10, even when using a supported API level.
    Maybe I don't understand the roots of what BB10 Android Runtime is. I've only read that stuff that is available officially:

    https://developer.blackberry.com/and...jellybean.html

    Well ok, you made me believe that BB10 android sucks, and that there are a lot of nasty devs all around the globe. I work for a major russian software company, my respected collegues and I are making a dozen different mobile apps, which are as or even more complex than Instagram. And all of our apps work flawlessly on BB10 runtime. Sometimes a bit sloooooooowly, but they work. Maybe because we test inside the company and never make our priceless users to be our beta testers, like Instagram usually does...
    12-20-17 01:13 PM
  8. conite's Avatar
    Well ok, you made me believe that BB10 android sucks, and that there are a lot of nasty devs all around the globe.
    Then perhaps I over-shot.

    I'm just saying the Android Runtime is not a full implementation of pure Android 4.3, and, as such, app compatibility is not assured.

    We won't even go into the facts that Android 4.3 and below is now relegated to less than 7% of the user base, and that the lack of Google Play Services is even more limiting.
    12-20-17 01:18 PM
  9. arfeo's Avatar
    I always removed Services on every single android handset I owned. Spiderweb of Satan.
    ShalokShalom likes this.
    12-20-17 02:05 PM
  10. Ment's Avatar
    There's also now a news article on front page of Android Central that explains new upgrade requirements for apps in the Google Play Store. I understand only about 1/3 of what it said but as I always say, I'm not an IT guy.... LOL

    Sorry I lost the link....
    that has to do with target API level not minimum. Some app devs have set a lower target API in order not have their apps coded to take advantage of the features of more recent OS like MM/Nougat/Oreo: better permission management and battery saving features like Doze being big ones. This will not be allowed for updated apps in the future when target API mandate takes place. Devs are still free to make a low minimum API if they want to support older phones/OS versions.

    There could always be instance where if devs are going to update their apps anyway that they drop support lower than 4.4 since the user base below that is smaller every day, in that way it could impact the runtime.
    12-20-17 02:11 PM
  11. Chuck Finley69's Avatar
    You left it right beside your marbles.
    Changes to Google Play Store will require apps to be optimized for newer Android versions https://www.androidcentral.com/google-play-updates-2018

    You were right. There it was....right next to marbles..... Getting old......
    12-20-17 03:33 PM
  12. Chuck Finley69's Avatar
    that has to do with target API level not minimum. Some app devs have set a lower target API in order not have their apps coded to take advantage of the features of more recent OS like MM/Nougat/Oreo: better permission management and battery saving features like Doze being big ones. This will not be allowed for updated apps in the future when target API mandate takes place. Devs are still free to make a low minimum API if they want to support older phones/OS versions.

    There could always be instance where if devs are going to update their apps anyway that they drop support lower than 4.4 since the user base below that is smaller every day, in that way it could impact the runtime.
    Just saw your post after I pasted link. Part of 2/3 of the article I don't understand. LOL
    12-20-17 03:35 PM
  13. Dunt Dunt Dunt's Avatar
    Just saw your post after I pasted link. Part of 2/3 of the article I don't understand. LOL
    Only thing to understand..... is it's almost 2018.

    Classic is 2013 hardware (release in 2015 doesn't mean anything) running a version of Android from 2013 also, buying one at this point is a RISK. You might can run WhatsApp for years to come, or it might stop next month. What's shocked me the most is that Cobalt's hack of Google Play hasn't been shutdown.
    12-20-17 03:45 PM
  14. Chuck Finley69's Avatar
    LOL. I agree completely. I was just impressed that I saw article, understood parts of it and did all this, maybe, before some of you.

    Small victories are it for me against you techies most days.. LOL
    Troy Tiscareno likes this.
    12-20-17 03:54 PM
  15. Monther Ajawi's Avatar
    Yes it will still work in 2018 if you use the Android apk and a little app call "whatsfixer" from BB World. The original whatsapp from BB World is shut down by the end of 2017

    Posted via CB10
    Hi how can I know if I use android Whatsapp or BlackBerry in my passport BlackBerry?!
    12-22-17 12:40 AM
  16. johnny_bravo72's Avatar
    Hi how can I know if I use android Whatsapp or BlackBerry in my passport BlackBerry?!
    If it's an apk file, Android. If you got it from BBW, BlackBerry.
    12-22-17 01:44 AM
  17. Monther Ajawi's Avatar
    Thank you for interested pls find attachment is that mean I have android
    Thanx a lot
    Attached Thumbnails Whatsapp on classic in 2018-img_20171222_103920.jpg  
    12-22-17 02:48 AM
  18. Invictus0's Avatar
    Thank you for interested pls find attachment is that mean I have android
    Thanx a lot
    That looks like the BB10 version of Android. Where did you install it from?
    12-22-17 11:57 AM
  19. Monther Ajawi's Avatar
    Its from BB World

    Pls. It will keep running in 2018 or not?!

    Or I must do any thing about that!!!!
    12-22-17 12:51 PM
  20. Invictus0's Avatar
    Its from BB World

    Pls. It will keep running in 2018 or not?!

    Or I must do any thing about that!!!!
    No, you'll have to install the Android version.

    https://www.whatsapp.com/android/

    After that download and run this app,

    https://appworld.blackberry.com/webs...ntent/60005088
    ARQ-Keighley and vincentkong like this.
    12-22-17 01:18 PM
  21. Elephant_Canyon's Avatar
    Pls. It will keep running in 2018 or not?!
    You’ll find out in 10 days.
    12-22-17 06:00 PM
  22. adycoke2's Avatar
    ....still working for me!maybe there will be no more updates but we can still use it for long time

    Posted via CB10
    ARQ-Keighley likes this.
    01-01-18 07:55 AM
  23. ARQ-Keighley's Avatar
    Bingo! Waited 'til midnight UK time ( because I was up anyway working, not because What'sApp is so important ) ; plus when I got up in the morning, I sent some nay Sayers messages to advise them that I'm still in business on the BlackBerry Passport ! Get in!

    Regardless of whether it peters out slowly, glad I didn't brick my BlackBerry Passport with Android bloatware, just to get this sad *** instant messenger, that pales in comparison to  BBM or WeChat ).

    May the os10 be with you …
    01-01-18 08:05 AM
  24. johnny_bravo72's Avatar
    ....still working for me!maybe there will be no more updates but we can still use it for long time

    Posted via CB10
    2 weeks to a month.
    01-01-18 08:26 AM
  25. Chuck Finley69's Avatar
    ....still working for me!maybe there will be no more updates but we can still use it for long time

    Posted via CB10
    This is what the WhatsApp developer that helped extend support for BB10 over the last year says regarding WhatsApp BB10 future:



    Since there's plenty of speculation among everyone trying to mince words spread through a number of articles, I'd just like to clear up exactly what is going to happen with the BlackBerry 10 client*:


    The December 31, 2017 date has not changed. It is for real this time. However, since I know that many of you will "run to town" on the forums if the app doesn't die in your face at the stroke of midnight, here's how things are actually going to happen (at least on BlackBerry 10):


    Once the date passes Dec 31 2017, the app will go into "deprecation" mode. It will still continue to function for a short grace period, but some behaviors will change. Most importantly, you will no longer be able to re-register your account with the app. That means if you delete and reinstall it (or install it on a different phone), it will no longer allow you to verify your phone number and complete the setup process.


    After the grace period, which is approximately two weeks after the published date, the app will go into "expired" mode. At this point it will stop functioning as a usable WhatsApp client, and thus will no longer connect to our servers. (Around this same time, our servers will stop allowing the client to connect as well.) However, once it is expired, the BlackBerry 10 client app may still allow you to access your existing message content on your phone. This behavior should be similar to what was seen by everyone who forgot to update their app the last time our published expiration date had passed.


    Note: If you want to try the "Export for Android" feature that's been mentioned in some other threads, please do it (or at least try to do it) before your app is cut off. Part of the initial setup process for this feature requires a connection to our servers.


    (* The client being referred to here is the native "WhatsApp for BlackBerry 10" application. None of our language refers to the Android client, because it has never been an officially supported option. The Android client may continue to work past this date, but no effort has been or will be made to ensure compatibility. As such, it could break at any time. Therefore, to continue using WhatsApp, switching to a real Android phone is strongly recommended.)
    hplovecraft likes this.
    01-01-18 08:27 AM
171 1234 ...

Similar Threads

  1. The android passport exists in China? Not just a spam post.
    By IvanTheTolerable in forum BlackBerry Passport
    Replies: 14
    Last Post: 01-18-18, 03:55 AM
  2. Android WhatsApp - No numbers and symbols on keyboard?
    By David8974 in forum BlackBerry Passport
    Replies: 10
    Last Post: 12-22-17, 07:20 PM
  3. AAR649 on AT&T
    By celticmagick in forum BlackBerry KEYone
    Replies: 12
    Last Post: 12-20-17, 08:25 AM
  4. PSA: Gain an Unfair Advantage in Puzzle Fighter
    By q335r49 in forum BlackBerry KEYone
    Replies: 1
    Last Post: 12-19-17, 03:53 PM
  5. On my blacberry the system was down. What should i do?
    By CrackBerry Question in forum Ask a Question
    Replies: 1
    Last Post: 12-19-17, 10:32 AM
LINK TO POST COPIED TO CLIPBOARD